Subject: Re: bug#16694: bugs #16694/#16378: Patches

From: Barry OReilly <[email-masked]>
Date: Fri, 28 Mar 2014 10:59:22 -0400

The last patch I indicated is my best guess safe patch that solves the
--reverse-video symptom I care about. To summarize my rationale: an
unconditional call to make-face-x-resource-internal was moved down into
face-spec-recalc, but at least one other caller of face-spec-recalc clearly
doesn't want an unconditional call to make-face-x-resource-internal. Moving
the make-face-x-resource-internal call back up one call level to the caller
which the offending patch touched thus seems right.

Matthias, in your patch, that same make-face-x-resource-internal call was
moved to an earlier line in the same face-spec-recalc function, so it's not
obvious how to reconcile your patch with mine. The concern I raised applies
equally to your patch. Maybe you could give my patch a go to see if it has
any effect on your ill symptom. If not, then perhaps you have an idea about
reconciling the patches?